# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Aug 29 10:34:21 2019
# ------------------------------------------------

package:
    name: libusb
    version: 1.0.23
source:
    sha256: db11c06e958a82dac52cf3c65cb4dd2c3f339c8a988665110e0d24d19312ad8d
    url: https://github.com/libusb/libusb/releases/download/v1.0.23/libusb-1.0.23.tar.bz2
build:
    number: '0'
    run_exports:
        - libusb >=1.0.23,<2.0a0
    string: he1b5a44_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_8
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_8
        - gxx_impl_linux-64 7.3.0 hdf63c60_1
        - gxx_linux-64 7.3.0 h553295d_8
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libtool 2.4.6 h14c3975_1002
        - libudev-cos6-x86_64 147 h1341992_0
        - libudev-devel-cos6-x86_64 147 h1341992_0
    host:
        - _libgcc_mutex 0.1 main
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
    run:
        - libgcc-ng >=7.3.0
        - libstdcxx-ng >=7.3.0
test:
    commands:
        - test -f $PREFIX/include/libusb-1.0/libusb.h
        - test -f $PREFIX/lib/libusb-1.0.a
        - test -f $PREFIX/lib/libusb-1.0${SHLIB_EXT}
        - conda inspect linkages -p $PREFIX libusb
about:
    dev_url: https://github.com/libusb/libusb
    doc_url: http://libusb.sourceforge.net/api-1.0/
    home: http://libusb.info/
    license: LGPL-2.1
    license_file: COPYING
    summary: A cross-platform library to access USB devices
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - hoechenberger
        - kastman
        - ryanvolz
